<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.5"/>
<title>fwInstallation: fwInstallationXml.ctl File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">fwInstallation
   &#160;<span id="projectnumber">8.4.2</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.5 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="examples.html"><span>Examples</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">fwInstallationXml.ctl File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a9ca9367df7b8e6c6ad4f1fe1785f8dfd"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwInstallationXml_8ctl.html#a9ca9367df7b8e6c6ad4f1fe1785f8dfd">fwInstallationXml_childNodesContent</a> (unsigned doc, int node, dyn_string &amp;node_names, dyn_anytype &amp;attributes, dyn_string &amp;nodevalues, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:a9ca9367df7b8e6c6ad4f1fe1785f8dfd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a41fcdf556c7e85bd9c5073eab9c37631"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwInstallationXml_8ctl.html#a41fcdf556c7e85bd9c5073eab9c37631">fwInstallationXml_get</a> (string docPath, dyn_string &amp;tags, dyn_string &amp;values, dyn_anytype &amp;attribs)</td></tr>
<tr class="separator:a41fcdf556c7e85bd9c5073eab9c37631"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a975a369dc81596f9a2261bba084a3caf"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwInstallationXml_8ctl.html#a975a369dc81596f9a2261bba084a3caf">fwInstallationXml_getTag</a> (string docPath, string tag, dyn_string &amp;FilteredValues, dyn_anytype &amp;FilteredAttribs)</td></tr>
<tr class="separator:a975a369dc81596f9a2261bba084a3caf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a67624e9c3432ec9e49dfc55d2df9227a"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwInstallationXml_8ctl.html#a67624e9c3432ec9e49dfc55d2df9227a">fwInstallationXml_createComponentFile</a> (string pathName, dyn_dyn_mixed componentInfo)</td></tr>
<tr class="separator:a67624e9c3432ec9e49dfc55d2df9227a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa520bdcabdb768a6b434cee81d7d36a2"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwInstallationXml_8ctl.html#aa520bdcabdb768a6b434cee81d7d36a2">fwInstallationXml_load</a> (string fileName, dyn_dyn_mixed &amp;componentInfo)</td></tr>
<tr class="separator:aa520bdcabdb768a6b434cee81d7d36a2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a40d3a9aeef84590cac573fdf948af397"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwInstallationXml_8ctl.html#a40d3a9aeef84590cac573fdf948af397">_fwInstallationXml_FindWildcardFiles</a> (string tagValue, string fileName, dyn_string &amp;tmpFiles)</td></tr>
<tr class="separator:a40d3a9aeef84590cac573fdf948af397"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abd9d1a3f519ed9994e11e9677937004c"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwInstallationXml_8ctl.html#abd9d1a3f519ed9994e11e9677937004c">fwInstallationXml_parseFile</a> (string sourceDir, string descFile, string subPath, string destinationDir, dyn_dyn_mixed &amp;parsedComponentInfo)</td></tr>
<tr class="separator:abd9d1a3f519ed9994e11e9677937004c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af09df2dac90cc893a0efa02ad43f473f"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwInstallationXml_8ctl.html#af09df2dac90cc893a0efa02ad43f473f">fwInstallationXml_getTagFromString</a> (string &amp;tagName, string &amp;tagValue, string &amp;strComponentFile)</td></tr>
<tr class="separator:af09df2dac90cc893a0efa02ad43f473f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a1a916467f8a17aaede6362ff48cb4e41"><td class="memItemLeft" align="right" valign="top">const string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwInstallationXml_8ctl.html#a1a916467f8a17aaede6362ff48cb4e41">csFwInstallationXmlLibVersion</a> = &quot;8.4.2&quot;</td></tr>
<tr class="separator:a1a916467f8a17aaede6362ff48cb4e41"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab251c043b0d94259d95d1be4b212e80b"><td class="memItemLeft" align="right" valign="top">const string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwInstallationXml_8ctl.html#ab251c043b0d94259d95d1be4b212e80b">fwInstallation_Xml_CHILDNODESTYPE</a> = &quot;fwXml_ChildNodesType&quot;</td></tr>
<tr class="separator:ab251c043b0d94259d95d1be4b212e80b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4944c45213e2dd97b9c3e80804fba3ef"><td class="memItemLeft" align="right" valign="top">const string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwInstallationXml_8ctl.html#a4944c45213e2dd97b9c3e80804fba3ef">fwInstallation_Xml_CHILDSUBTREEID</a> = &quot;fwXml_ChildSubTreeId&quot;</td></tr>
<tr class="separator:a4944c45213e2dd97b9c3e80804fba3ef"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr><td colspan="2"><div class="groupHeader">fwInstallation.ctl: Definition of constants</div></td></tr>
<tr><td colspan="2"><div class="groupText"><p>The following constants define the indeces of the different elements in the component XML file when passed as a dyn_dyn_mixed matrix </p>
</div></td></tr>
<tr class="memitem:a320be387c91ca9d2083ad6f93da22cec"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a320be387c91ca9d2083ad6f93da22cec"></a>
const int&#160;</td><td class="memItemRight" valign="bottom"><b>FW_INSTALLATION_XML_COMPONENT_NAME</b> = 1</td></tr>
<tr class="separator:a320be387c91ca9d2083ad6f93da22cec"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a583b04608db2bf544cffcfedde9022d2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a583b04608db2bf544cffcfedde9022d2"></a>
const int&#160;</td><td class="memItemRight" valign="bottom"><b>FW_INSTALLATION_XML_COMPONENT_VERSION</b> = 2</td></tr>
<tr class="separator:a583b04608db2bf544cffcfedde9022d2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a543088587f3b4ed58bbb9abe2fd5dea0"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a543088587f3b4ed58bbb9abe2fd5dea0"></a>
const int&#160;</td><td class="memItemRight" valign="bottom"><b>FW_INSTALLATION_XML_COMPONENT_IS_SUBCOMPONENT</b> = 3</td></tr>
<tr class="separator:a543088587f3b4ed58bbb9abe2fd5dea0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a328b077076d8a1fd06c7476c54fdbe25"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a328b077076d8a1fd06c7476c54fdbe25"></a>
const int&#160;</td><td class="memItemRight" valign="bottom"><b>FW_INSTALLATION_XML_COMPONENT_DATE</b> = 4</td></tr>
<tr class="separator:a328b077076d8a1fd06c7476c54fdbe25"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac02c4a94c5f82c5277f697e3d7cde631"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac02c4a94c5f82c5277f697e3d7cde631"></a>
const int&#160;</td><td class="memItemRight" valign="bottom"><b>FW_INSTALLATION_XML_COMPONENT_HELP_FILE</b> = 5</td></tr>
<tr class="separator:ac02c4a94c5f82c5277f697e3d7cde631"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af34d82cc709299b9c522d0a530152248"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af34d82cc709299b9c522d0a530152248"></a>
const int&#160;</td><td class="memItemRight" valign="bottom"><b>FW_INSTALLATION_XML_COMPONENT_REQUIRED_COMPONENTS</b> = 6</td></tr>
<tr class="separator:af34d82cc709299b9c522d0a530152248"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6f47b75646dff2162e5f73f66f125a9f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6f47b75646dff2162e5f73f66f125a9f"></a>
const int&#160;</td><td class="memItemRight" valign="bottom"><b>FW_INSTALLATION_XML_COMPONENT_DPLIST_FILES</b> = 7</td></tr>
<tr class="separator:a6f47b75646dff2162e5f73f66f125a9f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6374795dce8ac6d15067c0284f7841ec"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6374795dce8ac6d15067c0284f7841ec"></a>
const int&#160;</td><td class="memItemRight" valign="bottom"><b>FW_INSTALLATION_XML_COMPONENT_SUBCOMPONENTS</b> = 8</td></tr>
<tr class="separator:a6374795dce8ac6d15067c0284f7841ec"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a346dfd273c309c0273e0fd7078996cc8"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a346dfd273c309c0273e0fd7078996cc8"></a>
const int&#160;</td><td class="memItemRight" valign="bottom"><b>FW_INSTALLATION_XML_COMPONENT_COMMENTS</b> = 9</td></tr>
<tr class="separator:a346dfd273c309c0273e0fd7078996cc8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad868fd6a283d6378c662e9778b4db0d0"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad868fd6a283d6378c662e9778b4db0d0"></a>
const int&#160;</td><td class="memItemRight" valign="bottom"><b>FW_INSTALLATION_XML_COMPONENT_INIT_SCRIPTS</b> = 10</td></tr>
<tr class="separator:ad868fd6a283d6378c662e9778b4db0d0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a86acff91489fac7dd77973506743c2df"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a86acff91489fac7dd77973506743c2df"></a>
const int&#160;</td><td class="memItemRight" valign="bottom"><b>FW_INSTALLATION_XML_COMPONENT_DELETE_SCRIPTS</b> = 11</td></tr>
<tr class="separator:a86acff91489fac7dd77973506743c2df"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8a988b1991758eabb9997ed9f22b210d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8a988b1991758eabb9997ed9f22b210d"></a>
const int&#160;</td><td class="memItemRight" valign="bottom"><b>FW_INSTALLATION_XML_COMPONENT_POST_INSTALL_SCRIPTS</b> = 12</td></tr>
<tr class="separator:a8a988b1991758eabb9997ed9f22b210d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9aa0450ed227cc65bccef77ae8f4343f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9aa0450ed227cc65bccef77ae8f4343f"></a>
const int&#160;</td><td class="memItemRight" valign="bottom"><b>FW_INSTALLATION_XML_COMPONENT_POST_DELETE_SCRIPTS</b> = 13</td></tr>
<tr class="separator:a9aa0450ed227cc65bccef77ae8f4343f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3fba6de0a01d46e73aec6cff795b54c6"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3fba6de0a01d46e73aec6cff795b54c6"></a>
const int&#160;</td><td class="memItemRight" valign="bottom"><b>FW_INSTALLATION_XML_COMPONENT_CONFIG_FILES</b> = 14</td></tr>
<tr class="separator:a3fba6de0a01d46e73aec6cff795b54c6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad04f98975b0ec15d4d262a4d435cd4ba"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad04f98975b0ec15d4d262a4d435cd4ba"></a>
const int&#160;</td><td class="memItemRight" valign="bottom"><b>FW_INSTALLATION_XML_COMPONENT_PANEL_FILES</b> = 15</td></tr>
<tr class="separator:ad04f98975b0ec15d4d262a4d435cd4ba"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa12956bd13ed47779458c38f55ff92c2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa12956bd13ed47779458c38f55ff92c2"></a>
const int&#160;</td><td class="memItemRight" valign="bottom"><b>FW_INSTALLATION_XML_COMPONENT_LIBRARY_FILES</b> = 16</td></tr>
<tr class="separator:aa12956bd13ed47779458c38f55ff92c2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae95fdd97e662d1fd34691c6d062d6102"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae95fdd97e662d1fd34691c6d062d6102"></a>
const int&#160;</td><td class="memItemRight" valign="bottom"><b>FW_INSTALLATION_XML_COMPONENT_SCRIPT_FILES</b> = 17</td></tr>
<tr class="separator:ae95fdd97e662d1fd34691c6d062d6102"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a91e833706dd1124555e325a2ef9ec783"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a91e833706dd1124555e325a2ef9ec783"></a>
const int&#160;</td><td class="memItemRight" valign="bottom"><b>FW_INSTALLATION_XML_COMPONENT_OTHER_FILES</b> = 18</td></tr>
<tr class="separator:a91e833706dd1124555e325a2ef9ec783"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeb29dc4ab5d1f09c91c1ad951d896a3c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aeb29dc4ab5d1f09c91c1ad951d896a3c"></a>
const int&#160;</td><td class="memItemRight" valign="bottom"><b>FW_INSTALLATION_XML_DESC_FILE</b> = 19</td></tr>
<tr class="separator:aeb29dc4ab5d1f09c91c1ad951d896a3c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a098496384dc809bf1d13a8f92551db0c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a098496384dc809bf1d13a8f92551db0c"></a>
const int&#160;</td><td class="memItemRight" valign="bottom"><b>FW_INSTALLATION_XML_COMPONENT_DONT_RESTART</b> = 20</td></tr>
<tr class="separator:a098496384dc809bf1d13a8f92551db0c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a625bb8b0f5e1815cdbabc66c80895529"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a625bb8b0f5e1815cdbabc66c80895529"></a>
const int&#160;</td><td class="memItemRight" valign="bottom"><b>FW_INSTALLATION_XML_COMPONENT_CONFIG_FILES_WINDOWS</b> = 21</td></tr>
<tr class="separator:a625bb8b0f5e1815cdbabc66c80895529"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4cbed2825a6ebfd91e8ddea7eb123f48"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4cbed2825a6ebfd91e8ddea7eb123f48"></a>
const int&#160;</td><td class="memItemRight" valign="bottom"><b>FW_INSTALLATION_XML_COMPONENT_CONFIG_FILES_LINUX</b> = 22</td></tr>
<tr class="separator:a4cbed2825a6ebfd91e8ddea7eb123f48"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a35e097693fd9ab397c187d0922a8fde5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a35e097693fd9ab397c187d0922a8fde5"></a>
const int&#160;</td><td class="memItemRight" valign="bottom"><b>FW_INSTALLATION_XML_COMPONENT_REQUIRED_PVSS_VERSION</b> = 23</td></tr>
<tr class="separator:a35e097693fd9ab397c187d0922a8fde5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a29b10dcad3ece2f0cfb866c6874611ed"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a29b10dcad3ece2f0cfb866c6874611ed"></a>
const int&#160;</td><td class="memItemRight" valign="bottom"><b>FW_INSTALLATION_XML_COMPONENT_STRICT_PVSS_VERSION</b> = 24</td></tr>
<tr class="separator:a29b10dcad3ece2f0cfb866c6874611ed"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1ffdc11b5e1a43aec0b342ea6f5c5068"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1ffdc11b5e1a43aec0b342ea6f5c5068"></a>
const int&#160;</td><td class="memItemRight" valign="bottom"><b>FW_INSTALLATION_XML_COMPONENT_REQUIRED_PVSS_PATCH</b> = 25</td></tr>
<tr class="separator:a1ffdc11b5e1a43aec0b342ea6f5c5068"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a61760bfda5654453af50a881d4d7160f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a61760bfda5654453af50a881d4d7160f"></a>
const int&#160;</td><td class="memItemRight" valign="bottom"><b>FW_INSTALLATION_XML_COMPONENT_PREINIT_SCRIPTS</b> = 26</td></tr>
<tr class="separator:a61760bfda5654453af50a881d4d7160f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a311067ee7c66dba8ea21420c01737645"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a311067ee7c66dba8ea21420c01737645"></a>
const int&#160;</td><td class="memItemRight" valign="bottom"><b>FW_INSTALLATION_XML_COMPONENT_UPDATE_TYPES</b> = 27</td></tr>
<tr class="separator:a311067ee7c66dba8ea21420c01737645"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aac839c5da5233f3e3c1c1d0c36aaf683"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aac839c5da5233f3e3c1c1d0c36aaf683"></a>
const int&#160;</td><td class="memItemRight" valign="bottom"><b>FW_INSTALLATION_XML_COMPONENT_FILES</b> = 28</td></tr>
<tr class="separator:aac839c5da5233f3e3c1c1d0c36aaf683"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a09fe042fa4f8cd57fe7e657fe81a8cf7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a09fe042fa4f8cd57fe7e657fe81a8cf7"></a>
const int&#160;</td><td class="memItemRight" valign="bottom"><b>FW_INSTALLATION_XML_COMPONENT_POST_INSTALL_SCRIPTS_CURRENT</b> = 29</td></tr>
<tr class="separator:a09fe042fa4f8cd57fe7e657fe81a8cf7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a43c6b9c79680085bf7cf6dd7ee2eccfa"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a43c6b9c79680085bf7cf6dd7ee2eccfa"></a>
const int&#160;</td><td class="memItemRight" valign="bottom"><b>FW_INSTALLATION_XML_COMPONENT_POST_DELETE_SCRIPTS_CURRENT</b> = 30</td></tr>
<tr class="separator:a43c6b9c79680085bf7cf6dd7ee2eccfa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a44aa1d6fcc29474513bdfba113d4bf59"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a44aa1d6fcc29474513bdfba113d4bf59"></a>
const int&#160;</td><td class="memItemRight" valign="bottom"><b>FW_INSTALLATION_XML_COMPONENT_REQUIRED_INSTALLER_VERSION</b> = 31</td></tr>
<tr class="separator:a44aa1d6fcc29474513bdfba113d4bf59"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a37b3278af027f4fd898064c8db3d1d18"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a37b3278af027f4fd898064c8db3d1d18"></a>
const int&#160;</td><td class="memItemRight" valign="bottom"><b>FW_INSTALLATION_XML_COMPONENT_STRICT_INSTALLER_VERSION</b> = 32</td></tr>
<tr class="separator:a37b3278af027f4fd898064c8db3d1d18"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a28ad00efe50d828d4a4ae97669d6ef33"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a28ad00efe50d828d4a4ae97669d6ef33"></a>
const int&#160;</td><td class="memItemRight" valign="bottom"><b>FW_INSTALLATION_XML_COMPONENT_DESCRIPTION</b> = 33</td></tr>
<tr class="separator:a28ad00efe50d828d4a4ae97669d6ef33"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8a2214ef0b3fc98faa437e427fa465a0"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8a2214ef0b3fc98faa437e427fa465a0"></a>
const int&#160;</td><td class="memItemRight" valign="bottom"><b>FW_INSTALLATION_XML_COMPONENT_IS_HIDDEN_COMPONENT</b> = 34</td></tr>
<tr class="separator:a8a2214ef0b3fc98faa437e427fa465a0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abe21f465b4c6575c89095b19ac92162a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="abe21f465b4c6575c89095b19ac92162a"></a>
const int&#160;</td><td class="memItemRight" valign="bottom"><b>FW_INSTALLATION_XML_COMPONENT_BIN_FILES</b> = 35</td></tr>
<tr class="separator:abe21f465b4c6575c89095b19ac92162a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a88d855c49474c3f777b25030ac4c7065"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a88d855c49474c3f777b25030ac4c7065"></a>
const int&#160;</td><td class="memItemRight" valign="bottom"><b>FW_INSTALLATION_XML_COMPONENT_QT_HELP_FILES</b> = 36</td></tr>
<tr class="separator:a88d855c49474c3f777b25030ac4c7065"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6e7e271103f1d4a18ef10e8ec6aff926"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6e7e271103f1d4a18ef10e8ec6aff926"></a>
const string&#160;</td><td class="memItemRight" valign="bottom"><b>FW_INSTALLATION_XML_TAG_ROOT_COMPONENT</b> = &quot;component&quot;</td></tr>
<tr class="separator:a6e7e271103f1d4a18ef10e8ec6aff926"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This package contains functions to manipulate the component XML description files</p>
<dl class="section author"><dt>Author</dt><dd>Fernando Varela (EN-ICE) </dd></dl>
<dl class="section date"><dt>Date</dt><dd>August 2010 </dd></dl>
</div><h2 class="groupheader">Function Documentation</h2>
<a class="anchor" id="a9ca9367df7b8e6c6ad4f1fe1785f8dfd"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int fwInstallationXml_childNodesContent </td>
          <td>(</td>
          <td class="paramtype">unsigned&#160;</td>
          <td class="paramname"><em>doc</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>node</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>node_names</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_anytype &amp;&#160;</td>
          <td class="paramname"><em>attributes</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>nodevalues</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">'fwInstallation_xmlChildNodesContent()' this function is a copy of 
</pre><p> 'fwXml_childNodesContent' and it should be eventually replace once the fwXml.ctl is widely distributed. It returns tags, attributes and contained data of all children</p>
<dl class="section user"><dt>Constraints</dt><dd>None</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Public</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>UI, CTRL</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">doc</td><td>input, the document identifier </td></tr>
    <tr><td class="paramname">node</td><td>input, the node identifier of the parent element-node container </td></tr>
    <tr><td class="paramname">node_names</td><td>output, the node-names or tag-names for element-nodes </td></tr>
    <tr><td class="paramname">attributes</td><td>output, the attributes of element-nodes and added infomation </td></tr>
    <tr><td class="paramname">nodevalues</td><td>output, the node-values or values of the unique child's text-node </td></tr>
    <tr><td class="paramname">exceptionInfo</td><td>inout, returns details of any exceptions </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>output, the combined types of the type of children which data is returned</dd></dl>
<dl class="section user"><dt>When used for simple Xml-file structures</dt><dd>If the function returns '0' (zero), then the child-nodes are all element-nodes which contain at most one text-node as their child. The following is returned via the three output-parameters: 'node_names' returns the tag-names of the element-nodes, 'attributes' returns all the attributes of the element-nodes, 'nodevalues' returns the value (character-data) of the contained text-node if present, otherwise it returns the empty string.</dd></dl>
<dl class="section user"><dt></dt><dd>A typical example is included in the example-panel "xmlChildNodesContentExample.pnl" (first push-button). The Xml-file "xmlExampleFlatListing.xml" can be completely read by issuing one single call to this function - specify for the 'node' variable the node-identifier of the element-node called "&lt;room&gt;".</dd></dl>
<dl class="section user"><dt></dt><dd>Note that this function was created especially for users who want to parse Xml-files of a structure which corresponds to the above description. Only read further if you want to use this function to parse more complex Xml-file structures.</dd></dl>
<dl class="section user"><dt>When used for complex Xml-file structures</dt><dd>If any of the child-nodes is different from an element-node which contains at most one text-node as its child, then the return-code will be different from '0' and will be more specific the bitwise OR-ed values which are obtained by shifting the value '1' to the left by a number of places which corresponds to the internal enumerated value of the node-type.</dd></dl>
<dl class="section user"><dt></dt><dd>An example will illustrate this much easier. Refer again to the example-panel "xmlChildNodesContentExample.pnl" (second push-button). The Xml-file corresponds this time to "xmlExampleGreatText.xml". In this example there is in addition to the above at least one text-node as a direct child (not as a child of an element-node). In that case, the return-code is '8' - this is obtained by shifting '1' to the left by XML_TEXT_NODE places (1&lt;&lt;XML_TEXT_NODE) [1&lt;&lt;3].</dd></dl>
<dl class="section user"><dt></dt><dd>For nodes which are not element-nodes, the returned values are: 'node_names' returns the node-name of the node as queried by 'xmlNodeName', 'attributes' returns a single mapping "[fwInstallation_Xml_CHILDNODESTYPE;(int)&lt;node-type&gt;]" which indicates the node-type of the node, 'nodevalues' returns the node-value of the node as queried by 'xmlNodeValue'.</dd></dl>
<dl class="section user"><dt></dt><dd>If there is additionally at least one child-node with more than one child or with a child which is not a text-node then the return-code will have the bit-value '2' also set. The same example-panel "xmlChildNodesContentExample.pnl" illustrates this. Third button parses the "xmlExampleHierarchical.xml" Xml-file - return-code corresponds to '2' (1&lt;&lt;XML_ELEMENT_NODE) [1&lt;&lt;1]. Fourth button parses the Xml-file "xmlExampleMoreComplex.xml" - return-code corresponds to '10' - obtained by bitwise OR-ing of (1&lt;&lt;XML_ELEMENT_NODE) and (1&lt;&lt;XML_TEXT_NODE) which is [(1&lt;&lt;1)|(1&lt;&lt;3)].</dd></dl>
<dl class="section user"><dt></dt><dd>For element-nodes with more than one child or with a child which is not a text-node, the returned values are: 'node_names' returns the tag-name of the node, 'attributes' returns all the attributes of the element-nodes with additionally the two following added mappings "[fwInstallation_Xml_CHILDNODESTYPE;(int)XML_ELEMENT_NODE]" which is the node-type and "[fwInstallation_Xml_CHILDSUBTREEID;(int)&lt;element-node-identifier&gt;]", 'nodevalues' returns the empty string. </dd></dl>

</div>
</div>
<a class="anchor" id="a41fcdf556c7e85bd9c5073eab9c37631"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int fwInstallationXml_get </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>docPath</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>tags</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>values</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_anytype &amp;&#160;</td>
          <td class="paramname"><em>attribs</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>This function retrieves the contents of an XML file </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">docPath</td><td>(in) XML file to be parsed </td></tr>
    <tr><td class="paramname">tags</td><td>(out) XML tags in the file as an dyn_string array </td></tr>
    <tr><td class="paramname">values</td><td>(out) values of the XML tags </td></tr>
    <tr><td class="paramname">attribs</td><td>(out) tag attributes </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>0 if OK, -1 if error, -2 when not a component file </dd></dl>

</div>
</div>
<a class="anchor" id="a975a369dc81596f9a2261bba084a3caf"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int fwInstallationXml_getTag </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>docPath</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>tag</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>FilteredValues</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_anytype &amp;&#160;</td>
          <td class="paramname"><em>FilteredAttribs</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>This function the value and attributes of all entries in a XML file for a particular tag </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">docPath</td><td>(in) XML file to be parsed </td></tr>
    <tr><td class="paramname">tag</td><td>(in) XML tag to look for </td></tr>
    <tr><td class="paramname">FilteredValues</td><td>(out) values of the XML tags </td></tr>
    <tr><td class="paramname">FilteredAttribs</td><td>(out) tag attributes </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>0 if OK, -1 if error, -2 if not a component file </dd></dl>

</div>
</div>
<a class="anchor" id="a67624e9c3432ec9e49dfc55d2df9227a"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int fwInstallationXml_createComponentFile </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>pathName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_dyn_mixed&#160;</td>
          <td class="paramname"><em>componentInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">This function creates a component description file (xml).
</pre><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">pathName</td><td>(in) path for the output file {if empty, only create xmlDesc} </td></tr>
    <tr><td class="paramname">componentInfo</td><td>(in) dyn_dyn_mixed containing the contents of the XML file to be created </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>0 - xml file created, -1 - file creation failed, -2 - parameters missing </dd></dl>
<dl class="section author"><dt>Author</dt><dd>Fernando Varela. </dd></dl>

</div>
</div>
<a class="anchor" id="aa520bdcabdb768a6b434cee81d7d36a2"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int fwInstallationXml_load </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>fileName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_dyn_mixed &amp;&#160;</td>
          <td class="paramname"><em>componentInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>This function loads the contents of a component XML file into a dyn_dyn_mixed matrix </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">fileName</td><td>(in) fileName name of the component xml file </td></tr>
    <tr><td class="paramname">componentInfo</td><td>(out) XML file contents as a dyn_dyn_mixed matrix </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>0 if OK, -1 if error </dd></dl>

</div>
</div>
<a class="anchor" id="a40d3a9aeef84590cac573fdf948af397"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int _fwInstallationXml_FindWildcardFiles </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>tagValue</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>fileName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>tmpFiles</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>This function finds all files that matches to the given pattern with wildcard (*) </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">tagValue</td><td>(in) XML tag </td></tr>
    <tr><td class="paramname">fileName</td><td>(in) fileName name of the component xml file </td></tr>
    <tr><td class="paramname">tmpFiles</td><td>(out) list of matched files </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>number of found files </dd></dl>

</div>
</div>
<a class="anchor" id="abd9d1a3f519ed9994e11e9677937004c"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int fwInstallationXml_parseFile </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>sourceDir</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>descFile</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>subPath</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>destinationDir</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_dyn_mixed &amp;&#160;</td>
          <td class="paramname"><em>parsedComponentInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>This funcion parses a XML file. Contrarily to fwInstallationXML_load, this function prepends the relative destination path to the files </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">sourceDir</td><td>(in) source directory </td></tr>
    <tr><td class="paramname">descFile</td><td>(in) XML description file </td></tr>
    <tr><td class="paramname">subPath</td><td>(in) path to the appended to the source directory </td></tr>
    <tr><td class="paramname">destinationDir</td><td>(in) destination directory where the component will be installed </td></tr>
    <tr><td class="paramname">parsedComponentInfo</td><td>(out) resulting component info </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>0 if OK, -1 if error </dd></dl>

</div>
</div>
<a class="anchor" id="af09df2dac90cc893a0efa02ad43f473f"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int fwInstallationXml_getTagFromString </td>
          <td>(</td>
          <td class="paramtype">string &amp;&#160;</td>
          <td class="paramname"><em>tagName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string &amp;&#160;</td>
          <td class="paramname"><em>tagValue</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string &amp;&#160;</td>
          <td class="paramname"><em>strComponentFile</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>This funcion parses a string representing xml element </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">tagName</td><td>(out) name of the tag </td></tr>
    <tr><td class="paramname">tagValue</td><td>(out) value of the tag </td></tr>
    <tr><td class="paramname">strComponentFile</td><td>(in) XML file parsed as a string </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>0 if OK, -1 if error </dd></dl>

</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a class="anchor" id="a1a916467f8a17aaede6362ff48cb4e41"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const string csFwInstallationXmlLibVersion = &quot;8.4.2&quot;</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Version of this library. Used to determine the coherency of all libraries of the installation tool Please do not edit it manually </p>

</div>
</div>
<a class="anchor" id="ab251c043b0d94259d95d1be4b212e80b"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const string fwInstallation_Xml_CHILDNODESTYPE = &quot;fwXml_ChildNodesType&quot;</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Constant used in the mapping that identifies the node-type of the node in question </p>

</div>
</div>
<a class="anchor" id="a4944c45213e2dd97b9c3e80804fba3ef"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const string fwInstallation_Xml_CHILDSUBTREEID = &quot;fwXml_ChildSubTreeId&quot;</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Constant used in the mapping that identifies the node-identifier of the node in question </p>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.5
</small></address>
</body>
</html>
